Summary:       Perl library for modifying TTF font files
Name:          perl-Font-TTF
Version:       1.06
Release:       7%{?dist}
License:       Artistic 2.0

URL:           https://metacpan.org/release/Font-TTF
Source0:       http://cpan.org/authors/id/B/BH/BHALLISSY/Font-TTF-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: make perl-generators perl-interpreter
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(Getopt::Std) perl(strict) perl(bytes)
BuildRequires: perl(Compress::Zlib) perl(Data::Dumper)
BuildRequires: perl(Exporter) perl(File::Spec) perl(IO::File)
BuildRequires: perl(IO::String) perl(Symbol) perl(utf8) perl(vars)
BuildRequires: perl(File::Compare) perl(Test::More) perl(Test::Simple)

%description
Perl module for TrueType font hacking. Supports reading, processing and writing
of the following tables: GDEF, GPOS, GSUB, LTSH, OS/2, PCLT, bsln, cmap, cvt,
fdsc, feat, fpgm, glyf, hdmx, head, hhea, hmtx, kern, loca, maxp, mort, name,
post, prep, prop, vhea, vmtx and the reading and writing of all other table
types.

In short, you can do almost anything with a standard TrueType font with this
module.

%package XMLparse
Summary:       XML Font parser

%description XMLparse
This Perl module contains the support routines for parsing XML and generating
the TrueType font structures as a result.

The module has been separated from the rest of the perl-Font-TTF package in
order to reduce the dependency that this would bring, of the whole package on
XML::Parser. This way, people without the XML::Parser can still use the rest
of the package.


%prep
%autosetup -n Font-TTF-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc README.TXT CONTRIBUTORS Changes TODO
%dir %{perl_vendorlib}/Font
%dir %{perl_vendorlib}/Font/TTF
%{perl_vendorlib}/ttfmod.pl
%{perl_vendorlib}/Font/TTF.pm
%{perl_vendorlib}/Font/TTF/*
%{_mandir}/man3/*.3*
%exclude %{perl_vendorlib}/Font/TTF/XMLparse.pm
%exclude %{_mandir}/man3/Font::TTF::XMLparse.3pm.*
%exclude %{perl_vendorlib}/Font/TTF/Win32.pm
%exclude %{_mandir}/man3/Font::TTF::Win32.3pm.*

%files XMLparse
%license LICENSE
%doc CONTRIBUTORS Changes
%dir %{perl_vendorlib}/Font
%dir %{perl_vendorlib}/Font/TTF
%{perl_vendorlib}/Font/TTF/XMLparse.pm
%{_mandir}/man3/Font::TTF::XMLparse.3pm.*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.06-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 cunshunxia <cunshunxia@tencent.com> - 1.06-1
- initial build
